JobControllerGetJobRunById Method |
GET /Job/JobRun/
Gets a job run with the specified ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("JobRun")]
public IActionResult GetJobRunById(
long id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("JobRun")>
Public Function GetJobRunById (
id As Long,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"JobRun")]
IActionResult^ GetJobRunById(
long long id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("JobRun")>]
member GetJobRunById :
id : int64 *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemInt64
The ID of the job run to get. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
JobRunData object containing the job run data, or a status code indicating the problem.
See Also